opennlp.uima.doccat

## Class DocumentCategorizer

- java.lang.Object
- - org.apache.uima.analysis_component.AnalysisComponent_ImplBase
  - - org.apache.uima.analysis_component.Annotator_ImplBase
    - - org.apache.uima.analysis_component.CasAnnotator_ImplBase
      - - opennlp.uima.doccat.DocumentCategorizer

- All Implemented Interfaces:
    org.apache.uima.analysis_component.AnalysisComponent

      public class DocumentCategorizer
      extends org.apache.uima.analysis_component.CasAnnotator_ImplBase

  OpenNLP Document Categorizer.

  Mandatory parameters:

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentCategorizer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(org.apache.uima.UimaContext context)`
    `void` | `process(org.apache.uima.cas.CAS cas)`
    `void` | `typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem)`

    - ### Methods inherited from class org.apache.uima.analysis_component.CasAnnotator_ImplBase

      `getRequiredCasInterface, process`

    - ### Methods inherited from class org.apache.uima.analysis_component.Annotator_ImplBase

      `getCasInstancesRequired, hasNext, next`

    - ### Methods inherited from class org.apache.uima.analysis_component.AnalysisComponent_ImplBase

      `batchProcessComplete, collectionProcessComplete, destroy, reconfigure, setResultSpecification`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentCategorizer

          public DocumentCategorizer()

  - ### Method Detail

    - #### typeSystemInit

          public void typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem)
                              throws org.apache.uima.analysis_engine.AnalysisEngineProcessException

      Throws:
        `org.apache.uima.analysis_engine.AnalysisEngineProcessException`

    - #### initialize

          public void initialize(org.apache.uima.UimaContext context)
                          throws org.apache.uima.resource.ResourceInitializationException

      Specified by:
        `initialize` in interface `org.apache.uima.analysis_component.AnalysisComponent`
      Overrides:
        `initialize` in class `org.apache.uima.analysis_component.AnalysisComponent_ImplBase`
      Throws:
        `org.apache.uima.resource.ResourceInitializationException`

    - #### process

          public void process(org.apache.uima.cas.CAS cas)

      Specified by:
        `process` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`

Copyright © 2026 The Apache Software Foundation. All rights reserved.